Bug 126988 - Digital camera photo download fails on updated kernel
Digital camera photo download fails on updated kernel
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Depends On:
  Show dependency treegraph
Reported: 2004-06-30 01:26 EDT by Mark Adams
Modified: 2015-01-04 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-14 00:36:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark Adams 2004-06-30 01:26:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040510

Description of problem:
Downloading pictures using gtkam fails on the updated kernels
kernel-2.6.6-1.435 and kernel-2.6.6-1.427, but worked on

I am using the PTP protocol for my Nikon CoolPix 3100 digital camera.
When running on one of the new kernels, any attempt to download a
picture from the camera to my computer fails with an error message
something like "PTP transfer failed: I/O Error".

The following messages show up in /var/log/messages:
Jun 30 01:07:15 adams64 kernel: usb 2-1: new full speed USB device
using address 2
Jun 30 01:07:42 adams64 kernel: usb 2-1: control timeout on ep0in
Jun 30 01:07:50 adams64 kernel: usb 2-1: bulk timeout on ep3in
Jun 30 01:07:50 adams64 kernel: usb 2-1: usbfs: USBDEVFS_BULK failed
ep 0x83 len 512 ret -110

I am running the i386 version of Fedora Core 2 on an Athlon64 3000+.
Motherboard is a MSI K8T Neo-FSR (K8T800-based).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. plug digital camera into usb port, and turn on the camera
2. start up gtkam, and browse down the tree into the photo directory
on the camera
3. attempt to save one of the photos to the computer

Actual Results:  Error dialog pops up saying PTP transfer failed due
to I/O error

Expected Results:  Photo saved to hard disk

Additional info:
Comment 1 Barry K. Nathan 2004-07-14 06:07:46 EDT
If you try a kernel from one of the following sources, does the
problem still occur?

+ rawhide (a.k.a. FC-devel)
+ FC 3 test 1
+ http://people.redhat.com/arjanv/2.6/
Comment 2 Mark Adams 2004-08-03 19:33:00 EDT
I can confirm that this issue is fixed with the newly released
2.6.7-1.494.2.2 kernel for Fedora Core 2. Thank you.

Note You need to log in before you can comment on or make changes to this bug.